import { css } from "lit"

export const editorStyles = css`

:host .ProseMirror {
    background: black;
    color: white;
    background-clip: padding-box;
    padding: 5px 0;
    position: relative;
    word-wrap: break-word;
    white-space: pre-wrap;
    -webkit-font-variant-ligatures: none;
    font-variant-ligatures: none;
    padding: 1rem;
    line-height: 1.2;
    outline: none;
    font-family: var(
      --markdown-editor-typography-font-family,
      var(--mdc-typography-font-family, Montserrat, sans-serif)
    );
    font-size: var(
      --markdown-editor-typography-font-size,
      var(--mdc-typography-subtitle1-font-size, 1rem)
    );
    font-weight: var(
      --markdown-editor-typography-font-weight,
      var(--mdc-typography-subtitle1-font-weight, 400)
    );
    letter-spacing: var(
      --markdown-editor-typography-letter-spacing,
      var(--mdc-typography-subtitle1-letter-spacing, 0.009375em)
    );
  }

   .ProseMirror pre {
    white-space: pre-wrap;
  }

  .ProseMirror a {
    color: var(--markdown-editor-typography-anchor-color, -webkit-link);
    text-decoration: var(--markdown-editor-typography-anchor-text-decoration);
  }

  .ProseMirror-focused .ProseMirror-gapcursor {
    display: block;
  }
     shouting {
      all: unset; /* Remove inherited or conflicting styles */
      font-weight: bold;
      text-transform: uppercase;
      color: red; }

    .boring {
    background: grey;
    }
    blockquote {
  font-style: italic;
  border-left: 2px solid gray;
  padding-left: 10px;
  color: darkgray;




`